apt 3.2.0 commandline package manager

Public Member Functions | List of all members
WeakPointable Class Reference

`#include <apt-pkg/contrib/weakptr.h>`

Inheritance diagram for WeakPointable:

## Public Member Functions
void | AddWeakPointer (WeakPointable **weakptr)
void | RemoveWeakPointer (WeakPointable **weakptr)
| ~WeakPointable ()

## Detailed Description

Class for objects providing support for weak pointers.

This class allows for the registration of certain pointers as weak, which will cause them to be set to NULL when the destructor of the object is called.

## Constructor & Destructor Documentation

## ◆ ~WeakPointable()

~WeakPointable | ( |  | ) |
| inline

Deconstruct the object, set all weak pointers to NULL.

## Member Function Documentation

## ◆ AddWeakPointer()

void AddWeakPointer | ( | WeakPointable ** | weakptr | ) |
| inline

Add a new weak pointer.

## ◆ RemoveWeakPointer()

void RemoveWeakPointer | ( | WeakPointable ** | weakptr | ) |
| inline

Remove the weak pointer from the list of weak pointers.

The documentation for this class was generated from the following file:

- apt-pkg/contrib/weakptr.h